/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * support.h
 * Copyright (C) Carles Sentis 2010 <realtimesunlightwallpaper.gtk@gmail.com>
 * 
 * gtk-sunlight is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * gtk-sunlight is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __SUPPORT_H__
#define __SUPPORT_H__

#include <gtk/gtk.h>

/* Convenience macros for obtaining objects from UI file */
#define CH_GET_OBJECT( builder, name, type, data ) \
	data->name = type( gtk_builder_get_object( builder, #name ) )
#define CH_GET_WIDGET( builder, name, data ) \
	CH_GET_OBJECT( builder, name, GTK_WIDGET, data )

/* Main data structure definition */
/* store the widgets which may need to be accessed in a typedef struct */
typedef struct _ChData ChData;
struct _ChData
{
	/* Widgets */
	GtkWidget *main_window;  /* Main application window */
	GtkImage *main_image;	/* Main application image */
	GtkToggleButton *rd_worldmap;
	GtkToggleButton *rd_mercator;
	GtkToggleButton *rd_peters;
	GtkToggleButton *rd_mollweide;
	GtkToggleButton *rd_equirectangular;
	GtkToggleButton *rd_realistic;
	GtkToggleButton	*rd_moon;
	GtkToggleButton *chk_start_up;
	GtkComboBox *cmb_style;
	GtkComboBox *cmb_colors;
	GtkWidget *hbox;
	GtkColorButton *color_picker_one;
	GtkColorButton *color_picker_two;
	gint gi_rd1;
	gint gi_rd2;
};

#define DIR_PROJECT "/.gnome2/RealtimeSunlightWallpaper"
#define DIR_WALLPAPERS DIR_PROJECT"/gtk-sunlight"
#define GCONF_SET_WALLPAPER "gconftool-2 --type string --set /desktop/gnome/background/picture_filename"
#define GCONF_SET_PICTURE_OPTIONS "gconftool-2 --type string --set /desktop/gnome/background/picture_options "
#define GCONF_SET_COLOR_PRIMARY_OPTIONS "gconftool-2 --type string --set /desktop/gnome/background/primary_color "
#define GCONF_SET_COLOR_SECONDARY_OPTIONS "gconftool-2 --type string --set /desktop/gnome/background/secondary_color "
#define GCONF_SET_GRADIENT_OPTIONS "gconftool-2 --type string --set /desktop/gnome/background/color_shading_type "

#endif /* __SUPPORT_H__ */

